Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 588986 - media-video/libav-11.3 fails to build against media-libs/libvpx-1.5.0
Summary: media-video/libav-11.3 fails to build against media-libs/libvpx-1.5.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2016-07-17 11:49 UTC by tiage
Modified: 2020-04-26 15:22 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tiage 2016-07-17 11:49:05 UTC
media-video/libav-11.3 fails to build against media-libs/libvpx-1.5.0:

/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxdec.c: In function ‘vp8_decode’:
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxdec.c:101:23: warning: passing argument 3 of ‘av_image_copy’ from incompatible pointer type [enabled by default]
img->stride, avctx->pix_fmt, img->d_w, img->d_h);
^
In file included from /var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxdec.c:31:0:
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavutil/imgutils.h:116:6: note: expected ‘const uint8_t *’ but argument is of type ‘unsigned char *’
void av_image_copy(uint8_t *dst_data4, int dst_linesizes4,
^
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxenc.c:73:6: error: ‘VP8E_UPD_ENTROPY’ undeclared here (not in a function)
[VP8E_UPD_ENTROPY] = "VP8E_UPD_ENTROPY",
^
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxenc.c:73:5: error: array index in initializer not of integer type
[VP8E_UPD_ENTROPY] = "VP8E_UPD_ENTROPY",
^
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxenc.c:73:5: error: (near initialization for ‘ctlidstr’)
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxenc.c:74:6: error: ‘VP8E_UPD_REFERENCE’ undeclared here (not in a function)
[VP8E_UPD_REFERENCE] = "VP8E_UPD_REFERENCE",
^
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxenc.c:74:5: error: array index in initializer not of integer type
[VP8E_UPD_REFERENCE] = "VP8E_UPD_REFERENCE",
^
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxenc.c:74:5: error: (near initialization for ‘ctlidstr’)
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxenc.c:75:6: error: ‘VP8E_USE_REFERENCE’ undeclared here (not in a function)
[VP8E_USE_REFERENCE] = "VP8E_USE_REFERENCE",
^
/var/tmp/portage/media-video/libav-11.3/work/libav-11.3/libavcodec/libvpxenc.c:75:5: error: array index in initializer not of integer type
[VP8E_USE_REFERENCE] = "VP8E_USE_REFERENCE",
^

The reason is that some (deprecated) symbols where removed in libvpx-1.5.0 [0].
libav itself was updated to adapt to this in [1], but this commit is only in the master branch and chances are it never hits a 11.x release.

[0] https://chromium.googlesource.com/webm/libvpx/+/a046f56491b2c2a383491d0b5eae032c57d91eb9
[1] https://git.libav.org/?p=libav.git;a=commit;h=4d05e9392f84702e3c833efa86e84c7f1cf5f612

Temporary workaround:
---------------------
Downgrade to libvpx-1.4.0 and mask it to not get updated again.

Possible solutions:
-------------------
1) restrict dependency on libvpx to <=libvpx-1.4.0

2) Apply the patch [1 (see above)] of libav in the src_prepare phase.

Way 2) would be preferred over 1), because libvpx-1.5.0 also fixed some bugs.
Comment 1 tiage 2016-07-31 16:37:47 UTC
Strange,... waiting a week and recompiling solved the problem.
So this report can be considered solved.

For reference: This seems to be related to bug #565696.
Comment 2 Larry the Git Cow gentoo-dev 2020-04-26 15:22:52 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae1063b59ef317fdc6dd640b60437f6fb143a2ac

commit ae1063b59ef317fdc6dd640b60437f6fb143a2ac
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-26 15:14:48 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-26 15:22:46 +0000

    media-video/libav: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=452482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=458768
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=470764
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=499256
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509974
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=519602
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=525070
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=555114
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=564040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=587054
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588986
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=701952
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=538790
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711206
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=489922
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=409957
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=445854
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=474408
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509294
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=522350
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=546080
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=603726
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=694082
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=634102
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=542186
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=635524
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651218
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651220
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 media-video/libav/Manifest                    |   3 -
 media-video/libav/files/libav-12.3-x264.patch |  85 -------
 media-video/libav/libav-12.3.ebuild           | 350 --------------------------
 media-video/libav/libav-13_pre20171219.ebuild | 336 -------------------------
 media-video/libav/libav-9999.ebuild           | 339 -------------------------
 media-video/libav/metadata.xml                |  35 ---
 6 files changed, 1148 deletions(-)